%define _name glpk

Name: %_name
Version: 4.9
Release: alt1

Summary: GNU Linear Programming Kit
License: GPL
Group: Development/Other
Url: http://www.gnu.org/software/glpk/glpk.html

Source0: %name-%version.tar.gz
Requires: lib%name = %version-%release

# Automatically added by buildreq on Tue Apr 18 2006
BuildRequires: glibc-devel-static

%package -n lib%name
Summary: GNU Linear Programming Kit shared libraries
Group: System/Libraries

%package -n lib%name-devel
Summary: Development headers and files for GLPK
Group: Development/C
Requires: lib%name = %version-%release, pkgconfig

%package -n lib%name-devel-static
Summary: Static version of GLPK libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description
The %name (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

%name supports the GNU MathProg language, which is a subset of the AMPL
language.

The %name package includes the following main components:

 * Revised simplex method.
 * Primal-dual interior point method.
 * Branch-and-bound method.
 * Translator for GNU MathProg.
 * Application program interface (API).
 * Stand-alone LP/MIP solver.

%description -n lib%name
The %name (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

This package contains shared library required for run %name-based software.

%description -n lib%name-devel
The %name (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

This package contains headers and files for developing applications
which use %name (GNU Linear Programming Kit).

%description -n lib%name-devel-static
The %name (GNU Linear Programming Kit) package is intended for solving
large-scale linear programming (LP), mixed integer programming (MIP),
and other related problems. It is a set of routines written in ANSI C
and organized in the form of a callable library.

This package contains %name static libraries.

%prep
%setup -q -n %_name-%version

%build
%configure \
  CFLAGS="$RPM_OPT_FLAGS -fPIC"

%make_build

%install
%make_install DESTDIR=%buildroot \
              LIBRARY_PATH=%buildroot%_libdir \
	      INCLUDE_DIR=%_includedir/%name install

## Clean up directories that are included in docs
# make clean
# rm -Rf examples/.deps examples/Makefile* doc/*.dvi doc/*.latex

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files 
%_bindir/*

%files -n lib%name
%_libdir/lib%name.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/%name.pc
%doc AUTHORS ChangeLog COPYING NEWS README examples doc


%files -n lib%name-devel-static
%_libdir/lib%name.a


%changelog
* Tue Apr 18 2006 Grigorij Mogaev <zcrendel@altlinux.ru> 4.9-alt1
- initial rpm, separate source project into four packages.

